> ## Documentation Index
> Fetch the complete documentation index at: https://docs.finventi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Confirmation of funds request

> Checks whether funds are available on the PSU's account for a given amount



## OpenAPI

````yaml post /open-banking/v1/funds-confirmations
openapi: 3.0.3
info:
  title: Ledger Client API
  version: 1.0.0
  description: API for ledger operations - parties, accounts, transactions
servers: []
security: []
tags:
  - name: Account Statements
    description: Retrieve account transaction history
  - name: Accounts
    description: Account management operations
  - name: Open Banking - Accounts
    description: PSD2 Account Information Service (AIS) - Account endpoints
  - name: Open Banking - Funds Confirmation
    description: PSD2 Confirmation of Funds Service (PIIS)
  - name: Open Banking - Payments
    description: PSD2 Payment Initiation Service (PIS)
  - name: Open Banking - Transactions
    description: PSD2 Account Information Service (AIS) - Transaction endpoints
  - name: Parties
    description: Party management operations
  - name: Payments
    description: Payment operations
  - name: Transaction Postings
    description: Retrieve transaction postings
  - name: Transactions
    description: Transaction execution operations
paths:
  /open-banking/v1/funds-confirmations:
    post:
      tags:
        - Open Banking - Funds Confirmation
      summary: Confirmation of funds request
      description: Creates a confirmation of funds request at the ASPSP
      parameters:
        - description: >-
            ID of the consent resource. Shall be provided if the consent was
            established through the consent process
          example: consent-1234-5678
          name: Consent-ID
          in: header
          schema:
            type: string
            nullable: true
        - description: >-
            ID of the request, unique to the call, as determined by the
            initiating party
          example: 99391c7e-ad88-49ec-a2ad-99ddcb1f7721
          required: true
          name: X-Request-ID
          in: header
          schema:
            type: string
      requestBody:
        description: Confirmation of funds request body
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/FundsConfirmationRequest'
        required: true
      responses:
        '200':
          description: Confirmation of funds request was correctly performed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FundsConfirmationResponse'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '503':
          description: Service unavailable
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    FundsConfirmationRequest:
      required:
        - account
        - instructedAmount
      type: object
      properties:
        cardNumber:
          description: Card number of the card issued by the PIISP
          maxLength: 35
          type: string
          example: '12345678901234'
          nullable: true
        account:
          description: PSU's account number
          type: object
          allOf:
            - $ref: '#/components/schemas/AccountReference'
        payee:
          description: The merchant where the card is accepted
          maxLength: 70
          type: string
          example: Merchant ABC
          nullable: true
        instructedAmount:
          description: Transaction amount to be checked
          type: object
          allOf:
            - $ref: '#/components/schemas/Amount'
    FundsConfirmationResponse:
      required:
        - fundsAvailable
      type: object
      properties:
        fundsAvailable:
          description: >-
            Equals true if sufficient funds are available at the time of the
            request, false otherwise
          type: boolean
          example: true
    ErrorResponse:
      description: NextGenPSD2 error response body
      type: object
      properties:
        tppMessages:
          description: Messages to the TPP on operational issues
          type: array
          items:
            $ref: '#/components/schemas/TppMessage'
          nullable: true
        _links:
          description: HATEOAS links
          type: object
          allOf:
            - $ref: '#/components/schemas/Links'
          nullable: true
    AccountReference:
      description: >-
        Reference to an account by IBAN, BBAN, PAN, or MSISDN. Exactly one of
        the account reference identifiers shall be used
      type: object
      properties:
        iban:
          description: IBAN of the account
          type: string
          example: DE40100100103307118608
          nullable: true
        bban:
          description: BBAN of the account, for payment accounts which have no IBAN
          type: string
          example: '1234567890'
          nullable: true
        pan:
          description: >-
            Primary Account Number (PAN) of a card, can be tokenised by the
            ASPSP
          maxLength: 35
          type: string
          example: '5409050000000000'
          nullable: true
        maskedPan:
          description: Masked PAN of a card in masked form
          maxLength: 35
          type: string
          example: 123456xxxxxx1234
          nullable: true
        msisdn:
          description: >-
            Alias to access a payment account via a registered mobile phone
            number
          maxLength: 35
          type: string
          example: '+49170123456'
          nullable: true
        currency:
          description: ISO 4217 currency code
          maxLength: 3
          minLength: 3
          type: string
          example: EUR
          nullable: true
    Amount:
      description: Amount information
      required:
        - currency
        - amount
      type: object
      properties:
        currency:
          description: ISO 4217 currency code
          maxLength: 3
          minLength: 3
          type: string
          example: EUR
        amount:
          description: >-
            The amount given with fractional digits, where fractions must be
            compliant to the currency definition. Up to 14 significant figures.
            Negative amounts are signed by minus
          type: string
          example: '123.50'
    TppMessage:
      description: TPP message information
      required:
        - category
        - code
      type: object
      properties:
        category:
          description: Category of the error
          enum:
            - ERROR
            - WARNING
          type: string
          example: ERROR
        code:
          description: Message code as defined by the Berlin Group
          type: string
          example: SERVICE_UNAVAILABLE
        path:
          description: Path of the field causing the error, if applicable
          type: string
          example: access.balances
          nullable: true
        text:
          description: Additional explaining text
          type: string
          example: The ASPSP server is currently unavailable
          nullable: true
    Links:
      description: HATEOAS links as defined in Section 14.6, conforming to HAL
      type: object
      properties:
        scaRedirect:
          description: >-
            Link to an ASPSP site where SCA is performed within the Redirect SCA
            approach
          type: object
          allOf:
            - $ref: '#/components/schemas/HrefType'
          nullable: true
        scaOAuth:
          description: Link to the OAuth2 authorisation server configuration of the ASPSP
          type: object
          allOf:
            - $ref: '#/components/schemas/HrefType'
          nullable: true
        confirmation:
          description: URL to be updated with confirmation code or access token after SCA
          type: object
          allOf:
            - $ref: '#/components/schemas/HrefType'
          nullable: true
        startAuthorisation:
          description: Link to start the authorisation process
          type: object
          allOf:
            - $ref: '#/components/schemas/HrefType'
          nullable: true
        startAuthorisationWithPsuIdentification:
          description: Link to start authorisation with PSU identification
          type: object
          allOf:
            - $ref: '#/components/schemas/HrefType'
          nullable: true
        updatePsuIdentification:
          description: Link to update PSU identification
          type: object
          allOf:
            - $ref: '#/components/schemas/HrefType'
          nullable: true
        startAuthorisationWithProprietaryData:
          description: Link to start authorisation with proprietary data
          type: object
          allOf:
            - $ref: '#/components/schemas/HrefType'
          nullable: true
        updateProprietaryData:
          description: Link to update proprietary data
          type: object
          allOf:
            - $ref: '#/components/schemas/HrefType'
          nullable: true
        startAuthorisationWithPsuAuthentication:
          description: Link to start authorisation with PSU authentication
          type: object
          allOf:
            - $ref: '#/components/schemas/HrefType'
          nullable: true
        updatePsuAuthentication:
          description: Link to update PSU authentication
          type: object
          allOf:
            - $ref: '#/components/schemas/HrefType'
          nullable: true
        updateAdditionalPsuAuthentication:
          description: Link to update additional PSU authentication
          type: object
          allOf:
            - $ref: '#/components/schemas/HrefType'
          nullable: true
        startAuthorisationWithEncryptedPsuAuthentication:
          description: Link to start authorisation with encrypted PSU authentication
          type: object
          allOf:
            - $ref: '#/components/schemas/HrefType'
          nullable: true
        updateEncryptedPsuAuthentication:
          description: Link to update encrypted PSU authentication
          type: object
          allOf:
            - $ref: '#/components/schemas/HrefType'
          nullable: true
        updateAdditionalEncryptedPsuAuthentication:
          description: Link to update additional encrypted PSU authentication
          type: object
          allOf:
            - $ref: '#/components/schemas/HrefType'
          nullable: true
        startAuthorisationWithAuthenticationMethodSelection:
          description: Link to start authorisation with authentication method selection
          type: object
          allOf:
            - $ref: '#/components/schemas/HrefType'
          nullable: true
        selectAuthenticationMethod:
          description: Link to select an authentication method
          type: object
          allOf:
            - $ref: '#/components/schemas/HrefType'
          nullable: true
        creditorNameConfirmation:
          description: Creditor name confirmation link for VOP services
          type: object
          allOf:
            - $ref: '#/components/schemas/HrefType'
          nullable: true
        self:
          description: >-
            Link to the payment initiation or consent resource created by this
            request
          type: object
          allOf:
            - $ref: '#/components/schemas/HrefType'
          nullable: true
        status:
          description: Link to retrieve the transaction status of the payment initiation
          type: object
          allOf:
            - $ref: '#/components/schemas/HrefType'
          nullable: true
        scaStatus:
          description: Link to retrieve the SCA status
          type: object
          allOf:
            - $ref: '#/components/schemas/HrefType'
          nullable: true
        account:
          description: Link to the resource providing details of one account
          type: object
          allOf:
            - $ref: '#/components/schemas/HrefType'
          nullable: true
        balances:
          description: Link to the resource providing the balance of a dedicated account
          type: object
          allOf:
            - $ref: '#/components/schemas/HrefType'
          nullable: true
        transactions:
          description: >-
            Link to the resource providing the transaction history of a
            dedicated account
          type: object
          allOf:
            - $ref: '#/components/schemas/HrefType'
          nullable: true
        cardAccount:
          description: Link to the resource providing the details of one card account
          type: object
          allOf:
            - $ref: '#/components/schemas/HrefType'
          nullable: true
        cardTransactions:
          description: >-
            Link to the resource providing the transaction history of a
            dedicated card account
          type: object
          allOf:
            - $ref: '#/components/schemas/HrefType'
          nullable: true
        transactionDetails:
          description: Link to the resource providing details of a dedicated transaction
          type: object
          allOf:
            - $ref: '#/components/schemas/HrefType'
          nullable: true
        first:
          description: Navigation link for paginated account reports - first page
          type: object
          allOf:
            - $ref: '#/components/schemas/HrefType'
          nullable: true
        next:
          description: Navigation link for paginated account reports - next page
          type: object
          allOf:
            - $ref: '#/components/schemas/HrefType'
          nullable: true
        previous:
          description: Navigation link for paginated account reports - previous page
          type: object
          allOf:
            - $ref: '#/components/schemas/HrefType'
          nullable: true
        last:
          description: Navigation link for paginated account reports - last page
          type: object
          allOf:
            - $ref: '#/components/schemas/HrefType'
          nullable: true
        download:
          description: Download link for huge AIS data packages
          type: object
          allOf:
            - $ref: '#/components/schemas/HrefType'
          nullable: true
    HrefType:
      description: Hyperlink reference
      required:
        - href
      type: object
      properties:
        href:
          description: Link URL
          type: string
          example: /v1/payments/sepa-credit-transfers/1234-payment-567

````